%% @author author <author@example.com>
%% @copyright YYYY author.

%% @doc TEMPLATE.

-module(foo).
-author('author <author@example.com>').
-export([start/0, stop/0]).

ensure_started(App) ->
    case application:start(App) of
        ok ->
            ok;
        {error, {already_started, App}} ->
            ok
    end.
        
%% @spec start() -> ok
%% @doc Start the foo server.
start() ->
    foo_deps:ensure(),
    ensure_started(crypto),
    application:start(foo).

%% @spec stop() -> ok
%% @doc Stop the foo server.
stop() ->
    Res = application:stop(foo),
    application:stop(crypto),
    Res.
